View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
11944Bug reportsSurvey takingpublic2016-11-24 08:31
ReporterBBCMResearch Assigned Toc_schmitz  
PrioritynoneSeveritypartial_block 
Status closedResolutionwon't fix 
Product Version2.50.x 
Summary11944: Check marks not appearing in selected boxes of multiple choice questions
Description

I work with government clients that often use dated IE browsers possibly with unique security settings (the full extent of which I am not aware). Because of this, full features of the multiple choice question type often will not work for them.

If they click a checkbox, no mark will appear, instead the box appears highlighted or surrounded by a faint, dashed ring. LimeSurvey still records the response, but it often does not appear to be the case to the survey taker.

Steps To Reproduce

Problem has persisted since LS Version 2.50+ 160504 and has been persistently difficult to replicate

Additional Information

NOT an issue in Google Chrome or Mozilla Firefox, nor on Windows 7. Clients however almost entirely use Microsoft Internet Explorer on Windows XP or older.

If there are more specific browser specs needed to track down and resolve this issue, please let me know, and I will talk with my clients

In an earlier discussion with tpartner about the problem he suggested "simply hiding the pseudo checkbox elements and showing the native checkboxes." with a bit of script appended to the template.css.

Full discussion on the forums can be found here: https://www.limesurvey.org/forum/can-i-do-this-with-limesurvey/106987-browser-based-question-branching

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)2.50+160908
I will donate to the project if issue is resolvedYes
BrowserInternet Explorer 11.0.31 or older
Database type & versionmysql 5.0.10
Server OS (if known)Linux
Webserver software & version (if known)Apache 2.4.23
PHP Version5.4.45

Relationships

related to 11945 closedDenisChenu Feature requests no-js update by external file 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

BBCMResearch

BBCMResearch

2016-11-22 21:24

reporter  

MSCheckboxProb.jpeg (8,007 bytes)   
MSCheckboxProb.jpeg (8,007 bytes)   
DenisChenu

DenisChenu

2016-11-22 23:15

developer   ~42161

Quickest solution : copy template, remove the line
<filename>css/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css</filename>
from config.xml (via FTP/SSH)

See http://limesurvey.sondages.pro/index.php/556453?newtest=Y&amp;lang=en

PS : it can not be directly related to "No external script" because the check is not done in javascript.

c_schmitz

c_schmitz

2016-11-23 09:39

administrator   ~42172

Could it be that the IE browsers for these users is running in intranet mode?

DenisChenu

DenisChenu

2016-11-23 09:50

developer   ~42175

@c_schmitz : i know only Opera browser issue about "font-awesome", but maybe IE with "specific security" block font file too ?

Not js part but , maybe.

Alternative : don't use fa/checkbox-awesome but another solution

See picture with:
.checkbox-item label::after {
background: #2c3e50;
border-radius: 3px;
display: inline-block;
content:" ";
height: 11px;
left: 0;
margin-left: -17px;
padding-left: 3px;
padding-top: 1px;
position: absolute;
top: 3px;
width: 11px;
}

cb-awesome-no-fa.png (5,567 bytes)   
cb-awesome-no-fa.png (5,567 bytes)   
BBCMResearch

BBCMResearch

2016-11-23 15:36

reporter   ~42211

Denis, where would I need to add that bit of code to test that out?

And c_schmitz, entirely possible it's on intranet mode.

DenisChenu

DenisChenu

2016-11-23 16:08

developer   ~42215

Put this :
.checkbox input[type="checkbox"] + label::after {
border-radius: 3px;
display: inline-block;
content:" ";
height: 11px;
left: 0;
margin-left: -17px;
padding-left: 3px;
padding-top: 1px;
position: absolute;
top: 3px;
width: 11px;
}

.checkbox input[type="checkbox"]:checked + label::after {
background: #2c3e50;
content:" ";
}

At end of template.css file.

Not tested with array of checkbox.

BBCMResearch

BBCMResearch

2016-11-23 16:13

reporter   ~42216

Alright, I've set up two test surveys, one using the above solution, and the other using the solution Tony gave me on the forums that removes the pseudo checkboxes all together and just shows the native ones.

I've sent test links to the client, who are probably all out of office for the rest of the week for the Thanksgiving holiday.

I'll certainly respond once I hear back from them.

BBCMResearch

BBCMResearch

2016-11-23 17:49

reporter   ~42219

Just heard back from the client, Denis your workaround seems to do the trick on their network, as did Tony's.

c_schmitz

c_schmitz

2016-11-24 08:19

administrator   ~42228

As stated in the documentation we do not support IE in intranet mode as it causes all kind of problems with LimeSurvey.

DenisChenu

DenisChenu

2016-11-24 08:31

developer   ~42229

@c_schmitz : i improve the 'noscript' system to show it if IE is in intranet mode too :) (for 3.0).

Issue History

Date Modified Username Field Change
2016-11-22 21:24 BBCMResearch New Issue
2016-11-22 21:24 BBCMResearch File Added: MSCheckboxProb.jpeg
2016-11-22 23:15 DenisChenu Note Added: 42161
2016-11-22 23:27 DenisChenu Relationship added related to 11945
2016-11-23 09:39 c_schmitz Note Added: 42172
2016-11-23 09:39 c_schmitz Assigned To => c_schmitz
2016-11-23 09:39 c_schmitz Status new => feedback
2016-11-23 09:50 DenisChenu File Added: cb-awesome-no-fa.png
2016-11-23 09:50 DenisChenu Note Added: 42175
2016-11-23 15:36 BBCMResearch Note Added: 42211
2016-11-23 15:36 BBCMResearch Status feedback => assigned
2016-11-23 16:08 DenisChenu Note Added: 42215
2016-11-23 16:13 BBCMResearch Note Added: 42216
2016-11-23 17:49 BBCMResearch Note Added: 42219
2016-11-24 08:19 c_schmitz Status assigned => closed
2016-11-24 08:19 c_schmitz Resolution open => won't fix
2016-11-24 08:19 c_schmitz Note Added: 42228
2016-11-24 08:31 DenisChenu Note Added: 42229